﻿/*@media (max-width: 767px) {
    .block-container {
        background: #fff;
        position: relative;
        height: 100vh;
        width: 100%;
    }

    .form-container {
        height: 40%;
        position: absolute;
        left: 0;
        right: 0;
        transition: all 0.8s ease-in-out, height 0.8s ease-in-out;
    }

    .sign-in-container {
        height: 100%;
        opacity: 1;
        z-index: 2;
        top: 360px;
    }

    .sign-up-container {
        height: 60%;
        opacity: 0;
        z-index: 1;
        top: 0;
    }

    .block-container.right-panel-active .sign-in-container {
        opacity: 0;
        z-index: 0;
        height: 30%;
    }

    .block-container.right-panel-active .sign-up-container {
        opacity: 1;
        z-index: 2;
    }

    .overlay-container {
        position: absolute;
        top: 0;
        width: 100%;
        height: 45%;
        top: 0;
        overflow: hidden;
        transition: all 0.8s ease-in-out;
        z-index: 10;
    }

    .block-container.right-panel-active .overlay-container {
        height: 40%;
    }

    .block-container.right-panel-active .overlay-container {
        top: 60%;
    }

    .overlay-container-screen {
        background: linear-gradient(to right,#0079e7 80%, #0162d2);
        color: #fff;
        position: relative;
        height: 100%;
        width: 100%;
        transform: translate3d(0,0,0);
        will-change: transform;
        transition: transform 0.8s ease-in-out;
    }

    .overlay-panel {
        position: absolute;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 0 40px;
        text-align: center;
        height: 100%;
        width: 100%;
        top: 0;
        transform: translate3d(0,0,0);
        will-change: transform;
        transition: all 0.8s ease-in-out;
    }

    .overlay-panel-left {
        opacity: 0;
        top: 0;
        z-index: 1;
    }

    .block-container.right-panel-active .overlay-panel-left {
        opacity: 1;
        z-index: 3;
    }

    .overlay-panel-right {
        opacity: 1;
        z-index: 3;
    }

    .block-container.right-panel-active .overlay-panel-right {
        opacity: 0;
        z-index: 1;
    }
}*/


@media (min-width: 768px) {
    .wrapper-container {
        position: relative;
        width: 100%;
        height: 100vh;
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-between;
        overflow: hidden;
    }

    .form-wrapper {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-left: var(--width-sidebar);
        padding-right: 0;
    }

    .right-panel-active .form-wrapper {
        padding-right: var(--width-sidebar);
        padding-left: 0;
    }

    .form-wrapper-animation {
        animation: animation-form-wrapper 1s linear forwards;
    }

    .form-wrapper-animation-reverse {
        animation: animation-form-wrapper-reverse 1s linear forwards;
    }

    .form-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100%;
        width: 100%;
        transition: opacity 1s linear;
    }

        .form-container form {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            width: 100%;
            max-width: 700px;
            padding: 40px;
            gap: 1rem;
        }

    .form-container-left {
        display: flex;
        visibility: initial;
        opacity: 1;
    }

    .right-panel-active .form-container-left {
        display: none;
        visibility: hidden;
        opacity: 0;
    }

    .form-container-right {
        display: none;
        visibility: hidden;
        opacity: 0;
    }

    .right-panel-active .form-container-right {
        display: flex;
        visibility: initial;
        opacity: 1;
    }


    .overlay-container {
        background-image: linear-gradient(to right, var(--color-primary-450) 0, var(--color-primary-800) 100%);
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        z-index: 20;
        overflow: hidden;
        max-width: var(--width-sidebar);
        transition: all 1s linear;
        right: unset;
        left: 0;
    }

    .right-panel-active .overlay-container {
        right: 0;
        left: unset;
    }

    .overlay-container-animation {
        animation: animation-overlay-container 1s linear forwards;
    }

    .overlay-container-animation-reverse {
        animation: animation-overlay-container-reverse 1s linear forwards;
    }

    .overlay-image-wrapper {
        /*background-image: linear-gradient(to right, var(--color-primary-450) 0, var(--color-primary-800) 100%);*/
        position: absolute;
        width: 100vw;
        height: 100%;
        top: 0;
        left: 0;
        right: unset;
        overflow: hidden;
    }

    .overlay-image {
        position: relative;
        width: 100%;
        height: 100%;
    }

        .overlay-image img {
            position: absolute;
        }

    .overlay-image-wrapper-animation {
        animation: animation-overlay-image-wrapper 1s linear forwards;
    }

    .overlay-image-wrapper-animation-reverse {
        animation: animation-overlay-image-wrapper-reverse 1s linear forwards;
    }

    .right-panel-active .overlay-image-wrapper {
        right: 0;
        left: unset;
    }

    .overlay-panel {
        width: var(--width-sidebar);
        height: 100%;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .overlay-container-screen {
        position: absolute;
        width: 100vw;
        height: 100%;
        left: 0;
        right: unset;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .right-panel-active .overlay-container-screen {
        right: 0;
        left: unset;
    }

    .overlay-container-screen-animation {
        animation: animation-overlay-container-screen 1s linear forwards;
    }

    .overlay-container-screen-animation-reverse {
        animation: animation-overlay-container-screen-reverse 1s linear forwards;
    }

/*    .overlay-panel-left {
        visibility: visible;
    }

    .right-panel-active .overlay-panel-left {
        visibility: hidden;
    }

    .overlay-panel-right {
        visibility: hidden;
    }

    .right-panel-active .overlay-panel-right {
        visibility: visible;
    }*/

    @keyframes animation-form-wrapper {
        0% {
            transform: translate3d(10%, 0, 0);
            opacity: 0;
        }

        100% {
            transform: translate3d(0, 0, 0);
            opacity: 1;
        }
    }

    @keyframes animation-form-wrapper-reverse {
        0% {
            transform: translate3d(-10%, 0, 0);
            opacity: 0;
        }

        100% {
            transform: translate3d(0, 0, 0);
            opacity: 1;
        }
    }

    @keyframes animation-overlay-container {
        0% {
            max-width: var(--width-sidebar);
            left: 0;
            right: unset;
        }

        50% {
            max-width: 60%;
        }

        100% {
            right: unset;
            left: calc(100vw - var(--width-sidebar));
            max-width: var(--width-sidebar);
        }
    }

    @keyframes animation-overlay-container-reverse {
        0% {
            max-width: var(--width-sidebar);
            left: unset;
            right: 0;
        }

        50% {
            max-width: 60%;
        }

        100% {
            left: unset;
            right: calc(100vw - var(--width-sidebar));
            max-width: var(--width-sidebar);
        }
    }

    @keyframes animation-overlay-container-screen {
        0% {
            left: 0;
            right: unset;
            opacity: 1;
        }

        40% {
            left: -30%;
            right: unset;
            opacity: 0;
        }
        50% {
            left: unset;
            right: -30%;
            opacity: 0;
        }

        100% {
            right: 0;
            opacity: 1;
        }
    }

    @keyframes animation-overlay-container-screen-reverse {
        0% {
            right: 0;
            left: unset;
            opacity: 1;
        }

        40% {
            right: -30%;
            left: unset;
            opacity: 0;
        }

        50% {
            right: unset;
            left: -30%;
            opacity: 0;
        }

        100% {
            left: 0;
            opacity: 1;
        }
    }


    @keyframes animation-overlay-image-wrapper {
        0% {
            left: 0;
            right: unset;
        }

        100% {
            left: calc(-100vw + 100%);
            right: unset;
        }
    }

    @keyframes animation-overlay-image-wrapper-reverse {
        0% {
            right: 0;
            left: unset;
        }

        100% {
            right: calc(-100vw + 100%);
            left: unset;
        }
    }
}

@media (min-width: 768px) and (max-width: 1200px) {
    :root {
        --width-sidebar: 40%;
    }
}

@media only screen and (min-width: 1201px) {
    :root {
        --width-sidebar: 30%;
    }
}

@media only screen and (min-width: 2000px) {
    :root {
        --width-sidebar: 23%;
    }
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.07);
    }

    100% {
        transform: scale(1);
    }
}
